Reads a user

$ curl 'http://platform.wim.tv:8080/rest/wowza/user/john' -i -X GET \
    -H 'Accept: application/json' \
    -H 'Accept-Language: it' \
    -H 'X-Wimtv-timezone: 7200000'

Path parameters

/rest/wowza/user/{userCode}

Parameter Description

userCode

The user code.

Request headers

Name Description

Accept

application/json

* Required.

Response

HTTP/1.1 200 OK
Content-Length: 31
Content-Type: application/json;charset=UTF-8

{
  "livePassword" : "public"
}

Response fields

Path Type Description

livePassword

String

The password for WimLive services. May be not provided.

Checks for an authorization token

$ curl 'http://platform.wim.tv:8080/rest/wowza/authtoken/5fdac6d2-111a-4799-a08d-f8d988e5d857' -i -X GET \
    -H 'Accept-Language: it' \
    -H 'X-Wimtv-timezone: 7200000'

Path parameters

/rest/wowza/authtoken/{token}

Parameter Description

token

The token.

Response

HTTP/1.1 200 OK

Response for invalid authorization token

HTTP/1.1 401 Unauthorized
Content-Length: 240
Content-Type: application/json;charset=UTF-8

{
  "message" : "Token di autorizzazione b5c95a32-35af-4cf1-ac01-50a16476e938 non valido.",
  "exception" : "net.cedeo.wimtv.ApplicationException",
  "path" : "",
  "timestamp" : 1781261683938,
  "error" : "Unauthorized",
  "status" : 401
}

Uploads a new content in WimBox

$ curl 'http://platform.wim.tv:8080/rest/wowza/user/john/box' -i -X POST \
    -H 'Accept: application/json' \
    -H 'Accept-Language: it' \
    -H 'X-Wimtv-timezone: 7200000' \
    -F 'file=@sample.mp4' \
    -F 'title=Title 1'

Path parameters

/rest/wowza/user/{userCode}/box

Parameter Description

userCode

Code of the user to impersonate.

Request headers

Name Description

Accept

application/json

* Required.

Request parts

Response

HTTP/1.1 201 Created
Content-Type: application/json;charset=UTF-8
Content-Length: 235

{
  "boxId" : "5492fd3c-d355-42aa-a5c7-608036898e6e",
  "title" : "Title 1",
  "contentId" : "urn:wim:tv:content:07a492b3-a6a8-42b3-96af-3a11cacc336f",
  "resourceId" : "00d12f54-56f3-4f38-90b2-da30b1f121af",
  "creatorCode" : "john"
}

Response fields

Path Type Description

boxId

String

The WimBox item identifier.

contentId

String

The content identifier.

title

String

Title.

resourceId

String

The resource identifier.

creatorCode

String

Creator user code.

Reads a file resource

$ curl 'http://platform.wim.tv:8080/rest/wowza/vod?streamName=sample-53d01faa-a813-4b0b-97d4-81efc88fde2d-tr.mp4' -i -X GET \
    -H 'Accept: application/json' \
    -H 'Accept-Language: it' \
    -H 'X-Wimtv-timezone: 7200000'

Request headers

Name Description

Accept

application/json

* Required.

Request parameters

Parameter Description

streamName

The object name.

Response

HTTP/1.1 200 OK
Content-Length: 28
Content-Type: application/json;charset=UTF-8

{
  "creatorCode" : "john"
}

Response fields

Path Type Description

creatorCode

String

Creator user code.

Reads a live channel

$ curl 'http://platform.wim.tv:8080/rest/wowza/live/channel/joetv1' -i -X GET \
    -H 'Accept: application/json' \
    -H 'Accept-Language: it' \
    -H 'X-Wimtv-timezone: 7200000'

Path parameters

/rest/wowza/live/channel/{streamName}

Parameter Description

streamName

The stream name.

Request headers

Name Description

Accept

application/json

* Required.

Response

HTTP/1.1 200 OK
Content-Length: 28
Content-Type: application/json;charset=UTF-8

{
  "creatorCode" : "john"
}

Response fields

Path Type Description

creatorCode

String

Creator user code.

Reads a live event

$ curl 'http://platform.wim.tv:8080/rest/wowza/live/event/joetv1' -i -X GET \
    -H 'Accept: application/json' \
    -H 'Accept-Language: it' \
    -H 'X-Wimtv-timezone: 7200000'

Path parameters

/rest/wowza/live/event/{streamName}

Parameter Description

streamName

The stream name.

Request headers

Name Description

Accept

application/json

* Required.

Response

HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
Content-Length: 24

{
  "recorded" : false
}

Response fields

Path Type Description

recorded

Boolean

Whether the live event has to be recorded or not.

Reads a WimCast channel

$ curl 'http://platform.wim.tv:8080/rest/wowza/cast/channel/channel1' -i -X GET \
    -H 'Accept: application/json' \
    -H 'Accept-Language: it' \
    -H 'X-Wimtv-timezone: 7200000'

Path parameters

/rest/wowza/cast/channel/{streamName}

Parameter Description

streamName

The stream name.

Request headers

Name Description

Accept

application/json

* Required.

Response

HTTP/1.1 200 OK
Content-Length: 86
Content-Type: application/json;charset=UTF-8

{
  "channelCode" : "9b28f424-1324-44f2-adc8-3591b36eec65",
  "creatorCode" : "john"
}

Response fields

Path Type Description

channelCode

String

The stream channelCode.

creatorCode

String

Creator user code.

Reads a WimCast entity

$ curl 'http://platform.wim.tv:8080/rest/wowza/cast/entity/channel1' -i -X GET \
    -H 'Accept: application/json' \
    -H 'Accept-Language: it' \
    -H 'X-Wimtv-timezone: 7200000'

Path parameters

/rest/wowza/cast/entity/{streamName}

Parameter Description

streamName

The stream name.

Request headers

Name Description

Accept

application/json

* Required.

Response

HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
Content-Length: 56

{
  "creatorCode" : "john",
  "entityType" : "CHANNEL"
}

Response fields

Path Type Description

entityType

Entity Type

Entity type.

creatorCode

String

Creator user code.

Authentication

The WimTV-Wowza integration APIs require BASIC authentication.

Custom Types

WimCast entity type

Value Description

CHANNEL

Channel.

STREAM

Stream.